<template>
  <div>
    <b-table
      :items="result"
      @row-dblclicked="deleteSpecial"/>

    <special-forms />
  </div>
</template>

<script>
import SpecialForms from '~/components/SpecialForms.vue'

export default {
  components: {
    SpecialForms
  },
  data() {
    return {
      result: ''
    };
  },
  methods: {
    deleteSpecial(record, index) {
      let ins = this;
      
      if (confirm(`Deseja apagar ${record.id}`))
      this.$axios({
        method: 'delete',
        url: `http://localhost:3000/specials/${record.id}`
      })
        .then(res => ins.$router.go())
        .catch(err => console.log(err));
    } 
  },
  created() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/specials'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Specials': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
